Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_WChar_Codeset_Translator Class Reference

Codeset translation routines common to both Output and Input CDR streams. More...

`#include <CDR_Stream.h>`

List of all members.

## Public Methods
virtual ACE_CDR::Boolean | read_wchar (ACE_InputCDR&, ACE_CDR::WChar&) = 0
virtual ACE_CDR::Boolean | read_wstring (ACE_InputCDR&, ACE_CDR::WChar *&) = 0
virtual ACE_CDR::Boolean | read_wchar_array (ACE_InputCDR&, const ACE_CDR::WChar*, ACE_CDR::ULong) = 0
virtual ACE_CDR::Boolean | write_wchar (ACE_OutputCDR&, ACE_CDR::WChar) = 0
virtual ACE_CDR::Boolean | write_wstring (ACE_OutputCDR&, ACE_CDR::ULong, const ACE_CDR::WChar*) = 0
virtual ACE_CDR::Boolean | write_wchar_array (ACE_OutputCDR&, const ACE_CDR::WChar*, ACE_CDR::ULong) = 0
## Protected Methods
ACE_CDR::Boolean | read_1 (ACE_InputCDR& input, ACE_CDR::Octet *x)
| Children have access to low-level routines because they cannot use read_char or something similar (it would recurse).
ACE_CDR::Boolean | read_2 (ACE_InputCDR& input, ACE_CDR::UShort *x)
ACE_CDR::Boolean | read_4 (ACE_InputCDR& input, ACE_CDR::ULong *x)
ACE_CDR::Boolean | write_1 (ACE_OutputCDR& output, const ACE_CDR::Octet *x)
ACE_CDR::Boolean | write_2 (ACE_OutputCDR& output, const ACE_CDR::UShort *x)
ACE_CDR::Boolean | write_4 (ACE_OutputCDR& output, const ACE_CDR::ULong *x)
ACE_CDR::Boolean | read_array (ACE_InputCDR& input, void* x, size_t size, size_t align, ACE_CDR::ULong length)
| Efficiently read <length> elements of size <size> each from into <x>; the data must be aligned to .
ACE_CDR::Boolean | write_array (ACE_OutputCDR& output, const void *x, size_t size, size_t align, ACE_CDR::ULong length)
int | adjust (ACE_OutputCDR& out, size_t size, size_t align, char *&buf)
void | good_bit (ACE_OutputCDR& out, int bit)
| Used by derived classes to set errors in the CDR stream.

## Detailed Description

Codeset translation routines common to both Output and Input CDR streams.

This class is a base class for defining codeset translation routines to handle the character set translations required by both CDR Input streams and CDR Output streams.

## Member Function Documentation

ACE_INLINE int ACE_WChar_Codeset_Translator::adjust ( | ACE_OutputCDR & out,
| size_t size,
| size_t align,
| char *& buf )`[protected]`

| Exposes the stream implementation of , this is useful in many cases to minimize memory allocations during marshaling. On success <buf> will contain a contiguous area in the CDR stream that can hold <size> bytes aligned to . Results

ACE_INLINE void ACE_WChar_Codeset_Translator::good_bit ( | ACE_OutputCDR & out,
| int bit )`[protected]`

| Used by derived classes to set errors in the CDR stream.

ACE_INLINE ACE_CDR::Boolean ACE_WChar_Codeset_Translator::read_1 ( | ACE_InputCDR & input,
| ACE_CDR::Octet * x )`[protected]`

| Children have access to low-level routines because they cannot use read_char or something similar (it would recurse).

ACE_INLINE ACE_CDR::Boolean ACE_WChar_Codeset_Translator::read_2 ( | ACE_InputCDR & input,
| ACE_CDR::UShort * x )`[protected]`

ACE_INLINE ACE_CDR::Boolean ACE_WChar_Codeset_Translator::read_4 ( | ACE_InputCDR & input,
| ACE_CDR::ULong * x )`[protected]`

ACE_INLINE ACE_CDR::Boolean ACE_WChar_Codeset_Translator::read_array ( | ACE_InputCDR & in,
| void * x,
| size_t size,
| size_t align,
| ACE_CDR::ULong length )`[protected]`

| Efficiently read <length> elements of size <size> each from into <x>; the data must be aligned to .

virtual ACE_CDR::Boolean ACE_WChar_Codeset_Translator::read_wchar ( | ACE_InputCDR &,
| ACE_CDR::WChar & )`[pure virtual]`

virtual ACE_CDR::Boolean ACE_WChar_Codeset_Translator::read_wchar_array ( | ACE_InputCDR &,
| const ACE_CDR::WChar *,
| ACE_CDR::ULong )`[pure virtual]`

virtual ACE_CDR::Boolean ACE_WChar_Codeset_Translator::read_wstring ( | ACE_InputCDR &,
| ACE_CDR::WChar *& )`[pure virtual]`

ACE_INLINE ACE_CDR::Boolean ACE_WChar_Codeset_Translator::write_1 ( | ACE_OutputCDR & output,
| const ACE_CDR::Octet * x )`[protected]`

ACE_INLINE ACE_CDR::Boolean ACE_WChar_Codeset_Translator::write_2 ( | ACE_OutputCDR & output,
| const ACE_CDR::UShort * x )`[protected]`

ACE_INLINE ACE_CDR::Boolean ACE_WChar_Codeset_Translator::write_4 ( | ACE_OutputCDR & output,
| const ACE_CDR::ULong * x )`[protected]`

ACE_INLINE ACE_CDR::Boolean ACE_WChar_Codeset_Translator::write_array ( | ACE_OutputCDR & out,
| const void * x,
| size_t size,
| size_t align,
| ACE_CDR::ULong length )`[protected]`

| Efficiently write <length> elements of size <size> from <x> into <output>. Before inserting the elements enough padding is added to ensure that the elements will be aligned to in the stream.

virtual ACE_CDR::Boolean ACE_WChar_Codeset_Translator::write_wchar ( | ACE_OutputCDR &,
| ACE_CDR::WChar )`[pure virtual]`

virtual ACE_CDR::Boolean ACE_WChar_Codeset_Translator::write_wchar_array ( | ACE_OutputCDR &,
| const ACE_CDR::WChar *,
| ACE_CDR::ULong )`[pure virtual]`

virtual ACE_CDR::Boolean ACE_WChar_Codeset_Translator::write_wstring ( | ACE_OutputCDR &,
| ACE_CDR::ULong,
| const ACE_CDR::WChar * )`[pure virtual]`

The documentation for this class was generated from the following files:

- CDR_Stream.h
- CDR_Stream.i